ArcGIS Engine

System Requirements

ArcGIS Engine is supported on the following platforms:

  • Microsoft Windows Server 2008, 2008R2 and 2012
  • Microsoft Windows 7 (SP1), 8, 8.1, and 10
  • Red Hat Enterprise Linux Server
  • SUSE Linux Enterprise Server

ArcGIS Engine provides commands, templates, and project wizards that are available in the following integrated development environments (IDE):

  • Microsoft Visual Studio
  • Eclipse

See the Support Center for complete details.